# $Revision: 1.116 $, $Date: 2011/11/13 10:27:33 $
Summary:	Lynx-like text WWW browser
Summary(es.UTF-8):	El links es un browser para modo texto, similar a lynx
Summary(pl.UTF-8):	Podobna do Lynksa tekstowa przeglądarka WWW
Summary(pt_BR.UTF-8):	O links é um browser para modo texto, similar ao lynx
Summary(ru.UTF-8):	Текстовый WWW броузер типа Lynx
Summary(uk.UTF-8):	Текстовий WWW броузер типу Lynx
Name:		links
Version:	1.02
Release:	1
Epoch:		2
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://www.jikos.cz/~mikulas/links/download/%{name}-%{version}.tar.gz
# Source0-md5:	fa7051fdb352b4d3e5d09fffc3bbca25
Source1:	%{name}.desktop
Source2:	%{name}.1.pl
Source3:	%{name}.png
Patch0:		%{name}-0.92-ipv6-20000921.patch
Patch1:		%{name}-gzip_fallback.patch
Patch2:		%{name}-content_encoding.patch
Patch3:		%{name}-home_etc.patch
URL:		http://www.jikos.cz/~mikulas/links/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Links is a text based WWW browser, at first look similiar to Lynx, but
somehow different:

- renders tables and frames,
- displays colors as specified in current HTML page,
- uses drop-down menu (like in Midnight Commander),
- can download files in background.

%description -l es.UTF-8
Links es un browser WWW modo texto, al parecido similar al Lynx, mas algo diferente:

- plasma las tablas y los marcos
- muestra colores tales como especificados en la página HTML actual,
- se controla con un menú (como el de Midnight Commander),
- puede hacer baja archivos en segundo plano.

%description -l pl.UTF-8
Links jest tekstową przeglądarką WWW, na pierwszy rzut oka podobną do
Lynksa, ale mimo wszystko inną:

- renderuje tabelki i ramki,
- wyświetla kolory zgodnie z definicjami w oglądanej stronie HTML,
- używa opuszczanego menu (jak w Midnight Commanderze),
- może ściągać pliki w tle.

%description -l pt_BR.UTF-8
Links é um browser WWW modo texto, similar ao Lynx. O Links exibe
tabelas, faz baixa arquivos em segundo plano, e usa as conexões
HTTP/1.1 keepalive.

%description -l ru.UTF-8
Links - это текстовый WWW броузер, на первый взгляд похожий на Lynx,
но несколько отличающийся:

- отображает таблицы и (скоро) фреймы,
- показывает цвета как указано в HTML странице,
- использует выпадающие меню (как в Midnight Commander),
- может загружать файлы в фоне.

%description -l uk.UTF-8
Links - це текстовий WWW броузер, на перший погляд схожий на Lynx, але
трохи відмінний від нього:

- відображає таблиці та (незабаром) фрейми,
- показує кольори як вказано в HTML сторінці,
- використовує випадаючі меню (як в Midnight Commander),
- може завантажувати файли в фоні.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
#%patch3 -p1

#cd intl
#./gen-intl

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_mandir}/pl/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/pl/man1/links.1
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README SITES TODO
%attr(755,root,root) %{_bindir}/links
%{_desktopdir}/links.desktop
%{_pixmapsdir}/links.png
%{_mandir}/man1/links.1*
%lang(pl) %{_mandir}/pl/man1/links.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: links.spec,v $
Revision 1.116  2011/11/13 10:27:33  arekm
- up to 1.02

Revision 1.115  2011/11/12 18:39:04  draenog
- store ipv6 patch in decompressed file

Revision 1.114  2011/03/14 18:04:28  qboosh
- updated to 1.01

Revision 1.113  2010/04/12 19:26:44  arekm
- release 3

Revision 1.112  2008/11/01 21:58:18  blues
- rel.2

Revision 1.111  2008/08/17 12:06:00  qboosh
- updated to final 1.00
- updated URLs
- updated content_encoding patch

Revision 1.110  2007/04/20 18:29:47  arekm
- misiek.eu.org doesn't exist for a long time

Revision 1.109  2007/04/18 12:34:25  qboosh
- updated to 1.00pre20
- updated content_encoding patch

Revision 1.108  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.107  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.106  2006/12/04 21:58:06  qboosh
- updated to 1.00pre19 (fixes CVE-2006-5925)
- removed obsolete pl-update patch

Revision 1.105  2006/11/19 17:11:49  qboosh
- updated to 1.00pre18, updated pl-update patch

Revision 1.104  2006/11/07 22:29:01  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.103  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.102  2006/08/09 20:15:07  arekm
- rel .2

Revision 1.101  2006/07/11 17:37:57  qboosh
- added pl-update patch

Revision 1.100  2006/07/09 11:31:05  witekfl
- updated to 1.0pre16

Revision 1.99  2005/08/17 12:26:02  paszczus
- updated to 1.00pre14
- removed links-{dump_codepage,typo}.patch (fixed in sources)
- patches renumbered
- renumbered patches
- STBR

Revision 1.98  2005/01/14 23:53:17  qboosh
- added typo patch, release .2

Revision 1.97  2004/11/05 23:12:37  qboosh
- updated to 1.00pre12 (fixes for vulnerabilities detected by mangleme)
- updated dump_codepage,gzip_fallback patches, removed obsolete pl-update patch

Revision 1.96  2004/10/25 18:06:57  qboosh
- updated to 1.00pre11, updated gzip_fallback patch
- added pl-update patch with polish.lng update

Revision 1.95  2004/04/22 21:49:53  qboosh
- updated to 1.00pre4, updated content_encoding patch

Revision 1.94  2004/03/19 23:46:29  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.93  2004/02/17 22:18:12  adamg
- updated to 1.00pre2

Revision 1.92  2003/12/25 00:32:33  qboosh
- final 0.99, epoch 2

Revision 1.91  2003/12/17 22:46:16  qboosh
- updated to 0.99pre17

Revision 1.90  2003/12/14 00:26:01  qboosh
- updated to 0.99pre16

Revision 1.89  2003/12/09 23:43:46  qboosh
- updated to 0.99pre15
- BR: pkgconfig (used for openssl check now)

Revision 1.88  2003/12/03 00:17:05  qboosh
- updated to 0.99pre14, updated content_encoding patch

Revision 1.87  2003/11/10 16:43:47  domelu
- md5 fix

Revision 1.86  2003/11/10 16:41:03  domelu
- update to 0.99pre13

Revision 1.85  2003/11/06 23:28:13  krzak
- links.desktop
  - Categories=Network;WebBrowser;X-WWW;
  - moved to _desktopdir
- rel 2

Revision 1.84  2003/11/04 21:23:23  qboosh
- up to 0.99pre12, updated content_encoding patch

Revision 1.83  2003/10/28 12:22:12  saq
- version 0.99pre11
- a better es translation

Revision 1.82  2003/10/18 23:53:59  saq
- 0.99pre10
- STBR for Ac

Revision 1.81  2003/09/30 20:18:26  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.80  2003/09/17 01:14:08  domelu
- update to 0.99pre9

Revision 1.79  2003/07/16 16:31:58  undefine
- update to 0.99pre8

Revision 1.78  2003/05/28 12:59:35  malekith
- massive attack: source-md5

Revision 1.77  2003/05/25 05:50:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.76  2003/05/11 21:54:26  areq
- 0.99pre6

Revision 1.75  2003/04/06 20:47:38  gotar
- commented out broken patch

Revision 1.74  2003/03/26 14:11:03  krolik

- updated to 0.99pre4

Revision 1.73  2003/03/08 13:19:04  juandon
- added home_etc.patch (fixed bad behaviour in links)
- Release 3

Revision 1.72  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.71  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/09/24 19:52:28  maryush
- STBR, rebuild with new gpm

Revision 1.69  2002/07/04 19:13:27  gotar
- cosmetics - restored and new

Revision 1.68  2002/07/04 14:09:51  qboosh
- restored most changes between rel 1.61 and 1.64 (but no upgrade from 1.65)

Revision 1.67  2002/07/04 13:31:06  grzegol
- updated to 0.98

Revision 1.66  2002/07/03 18:58:28  juandon
- added gzip_fallback.patch
- added content_encoding.patch (need fix -> proxy)
- Release 2

Revision 1.64  2002/05/29 19:33:35  gotar
- cosmetics

Revision 1.63  2002/05/28 09:08:27  gotar
- typo

Revision 1.62  2002/05/21 23:14:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
            s/^autoconf/\%\{__autoconf\}/"

Revision 1.61  2002/05/21 21:31:25  klark
- remove Patch0 and change Patch1 to Patch0
- new %doc
- STBR

Revision 1.60  2002/05/10 19:31:53  kloczek
- merge translations from KSI and Conectiva.

Revision 1.59  2002/05/10 18:46:12  grzegol
- updated to 0.97
STBR

Revision 1.58  2002/04/05 18:42:00  grzegol
- renemed Patch1

Revision 1.57  2002/04/05 17:43:01  grzegol
- added dump_codepage patch (enable to dump iso8859-2 codepage to stdout)
- cosmetics
- rel 6
STBR

Revision 1.56  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.55  2002/02/25 02:25:57  kloczek
- cleanups in %prep and added "rm -f missing" on top %build.

Revision 1.54  2002/02/24 18:48:59  zytek
- new icon founded by google, release 5, STBR

Revision 1.53  2002/02/23 20:39:45  zytek
- fixes with icon, now ready for STB, but I must create more pretty icon ;)

Revision 1.52  2002/02/23 20:12:26  zytek
- added icon, release 3, STB

Revision 1.51  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2001/11/16 20:30:23  qboosh
- fixed %%files

Revision 1.48  2001/11/15 23:11:33  ankry
- added pl man page
- release 2

Revision 1.47  2001/10/18 16:40:22  gotar
- cosmetics.

Revision 1.46  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.45  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.44  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.43  2001/07/11 13:25:05  kloczek
- make spec ac 2.50 ready (added regenerate ac/am files on top %build).

Revision 1.42  2001/07/10 16:05:18  qboosh
- 0.96

Revision 1.41  2001/06/30 13:02:36  gotar
- added using %{__*} macros.

Revision 1.40  2001/05/16 05:16:33  kloczek
- release 5: fixed %files list.

Revision 1.39  2001/05/16 01:57:34  kloczek
- revert to previouse path but still release must be 4.

Revision 1.38  2001/05/16 01:55:21  kloczek
- release 4: place desktop file in proper directory.

Revision 1.37  2001/05/11 21:30:33  gotar
- typo.

Revision 1.36  2001/05/10 07:37:11  misiek
- BuildRequires:	openssl-devel >= 0.9.6a

Revision 1.35  2001/03/17 18:45:30  yossa
- typo (insall -> install)

Revision 1.34  2001/02/16 04:34:53  kloczek
- typo.

Revision 1.33  2001/02/16 04:27:45  kloczek
- release 2: added desktop file for links.

Revision 1.32  2001/01/02 18:51:05  kloczek
- updated to 0.95,
- added gzipping %doc.

Revision 1.31  2000/12/13 11:21:43  misiek
updated to pre9

Revision 1.30  2000/11/14 22:33:23  misiek
disabled ipv6 due to broken resolving in links
updated to pre4

Revision 1.29  2000/10/24 13:49:28  misiek
updated to 0.94pre1 and added ipv6 support (ftp still ipv4 only)

Revision 1.28  2000/10/16 17:49:58  kloczek
- adapterized and added using new rpm automation.

Revision 1.27  2000/10/16 15:38:22  zagrodzki
- updated to 0.93pre4

Revision 1.26  2000/08/08 16:37:10  kloczek
- s/Serial/Epoch/ by adaprer.awk.

Revision 1.25  2000/08/07 11:53:09  zagrodzki
- added man page
- release 4

Revision 1.24  2000/07/13 23:14:25  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.23  2000/07/13 20:44:34  baggins
- release 2

Revision 1.22  2000/06/30 09:19:18  wiget
0.92

Revision 1.21  2000/06/29 21:27:42  wiget
0.91

Revision 1.20  2000/06/21 20:34:01  kloczek
- added Serial: 1.

Revision 1.19  2000/06/21 18:38:23  kloczek
- adapterized.

Revision 1.18  2000/06/21 09:24:43  zagrodzki
- updated to 0.90pre2

Revision 1.17  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/29 15:22:34  kura
- /Source:/ {sub("current", "%{version}")}  ;-)

Revision 1.14  2000/05/29 14:32:56  kura
/^Source:/ {sub("%{version}", "current")}

Revision 1.13  2000/05/23 17:09:07  zagrodzki
- updated to links-current (23.V.2000)

Revision 1.12  2000/04/14 11:10:04  zagrodzki
- temporarily added -n to use with links source snapshots

Revision 1.11  2000/04/02 20:52:13  zagrodzki
- new snapshot
- lynx-like "Z" key handling (abort current connection)

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/03/14 11:06:34  zagrodzki
- updated to 0.84

Revision 1.7  2000/02/19 23:19:43  zagrodzki

- updated to 0.83

Revision 1.6  2000/01/28 12:44:58  kloczek
- release 2,
- added "Provides: webclient"

Revision 1.5  2000/01/23 22:28:38  wiget
0.82

Revision 1.4  1999/12/03 08:52:58  zagrodzki
- new prerelease

Revision 1.3  1999/12/01 12:38:33  kloczek
- only cosmetics (released).
